@charset "UTF-8";

/* Template & Designed by Towako. */
/* https://ninawas.me */

/* ウェブフォントの読み込み */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300&family=Zen+Maru+Gothic&display=swap');

/* 全体に適用する */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-weight: normal;
    font-family: 'Zen Maru Gothic', sans-serif;
}

:root {
    --main-color: #888;
    --sub-color: #00bb85;
    --bg-color: #ffffb2;
    --light-color: #fff;
}

/* 基本設定 */
body {
    background-color: var(--bg-color);
    text-align: center;
    line-height: 1.7;
    letter-spacing: 0.1em;
    font-size: 12px;
    color: var(--main-color);
}

/* リンク */
a {
    color: var(--sub-color);
}

/* ヘッダー */
header {
    position: relative;
    margin: 5em auto 5em 10%;
}

#headerbox {
    position: relative;
    width: 100px;
    height: 100px;
    background-color: var(--light-color);
}

#headerbox::before,
#headerbox::after,
#headerline::before,
#headerline::after {
    position: absolute;
    display: block;
    content: '';
}

#headerbox::before {
    top: 0;
    left: 0;
    width: 30px;
    height: 30px;
    background-color: var(--bg-color);
}

#headerbox::after {
    top: 150%;
    left: 150%;
    transform: translate(-50%, -50%) rotate(-45deg);
    width: 5px;
    height: 200%;
    background-color: var(--sub-color);
}

#headerline::before {
    bottom: -20px;
    right: 0;
    width: 5px;
    height: 80%;
    background-color: var(--sub-color);
}

#headerline::after {
    bottom: 0;
    right: -20px;
    width: 80%;
    height: 5px;
    background-color: var(--sub-color);
}

/* 大見出し */
header h1 {
    position: absolute;
    top: 80px;
    left: 150px;
    color: var(--main-color);
}

/* ナビゲーション */
header nav {
    margin-top: 40px;
    width: 100%;
    max-width: 250px;
    text-align: left;
}

header nav ul {
    list-style-type: none;
}

header nav ul li {
    position: relative;
}

header nav ul li::before {
    position: absolute;
    display: block;
    content: '';
    top: 60%;
    left: 0;
    width: 100%;
    height: 1px;
    border-top: thin dashed var(--main-color);
}

header nav ul li a {
    text-decoration: none;
    font-weight: bold;
    color: var(--main-color);
}

header nav ul li a span {
    position: relative;
    z-index: 1;
    padding-right: 0.5em;
    background-color: var(--bg-color);
}

/* メインコンテンツ */
main {
    padding: 3em 10%;
    background-color: var(--light-color);
}

/* セクション */
main section {
    margin-bottom: 1.5em;
    text-align: justify;
    word-break: break-all;
}

/* 小見出し */
main section h2 {
    position: relative;
    margin-bottom: 0.5em;
    padding-left: 20px;
}

main section h2::before {
    position: absolute;
    display: block;
    content: '';
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: var(--sub-color);
}

/* セクション内コンテンツ */
section>p {
    margin-bottom: 0.5em;
}

section span {
    font-weight: bold;
    color: var(--sub-color);
}

section mark {
    background: linear-gradient(transparent 0, transparent 50%, #ffdbed 50%, #ffdbed 100%);
    color: var(--main-color);
}

section strong {
    font-weight: bold;
    color: red;
}

a.link {
    display: inline-block;
    padding: 0 0.3em;
    text-decoration: none;
    border: thin solid var(--sub-color);
}

section .box {
    position: relative;
    margin: 1em auto;
    padding: 1em 1.5em;
    color: var(--sub-color);
}

section .box::before,
section .box::after {
    position: absolute;
    display: block;
    content: '';
    width: 40px;
    height: 40px;
}

section .box::before {
    top: 0;
    left: 0;
    border-top: thin solid var(--sub-color);
    border-left: thin solid var(--sub-color);
}

section .box::after {
    right: 0;
    bottom: 0;
    border-right: thin solid var(--sub-color);
    border-bottom: thin solid var(--sub-color);
}

/* リスト */
section dl,
section ul {
    margin-bottom: 1em;
}

section dl dd {
    position: relative;
    margin-bottom: 0.5em;
    padding-left: 25px;
}

section dl dd::before {
    position: absolute;
    display: block;
    content: '';
    top: 50%;
    left: 0;
    width: 20px;
    height: 1px;
    border-top: thin solid var(--main-color);
}

section ul {
    list-style-type: none;
}

section ul.yoko li {
    display: inline-block;
}

/* フォーム系 */
textarea,
input[type] {
    -webkit-appearance: none;
    padding: 0.2em 0.5em;
    background-color: var(--light-color);
    border: thin solid var(--main-color);
    border-radius: 0;
    color: var(--main-color);
}

textarea {
    width: 200px;
    height: 70px;
}

input[type=text] {
    width: 80px;
}

input[type=submit] {
    width: auto;
}

/* 横幅768px以上で読み込む */
@media screen and (min-width:768px) {

    /* フォントサイズ */
    body {
        font-size: 13px;
    }

    /* メインコンテンツ */
    main {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    section {
        flex-basis: 48%;
    }
}

/* 横幅1024px以上で読み込む */
@media screen and (min-width:1024px) {

    /* フォントサイズ */
    body {
        font-size: 14px;
    }
}